---
title: llarp::config::Default
summary: Wrapper to specify a default value to an OptionDefinition. 

---

# llarp::config::Default



Wrapper to specify a default value to an [OptionDefinition](Classes/structllarp_1_1OptionDefinition.md).  [More...](#detailed-description)


`#include <definition.hpp>`

## Public Functions

|                | Name           |
| -------------- | -------------- |
| constexpr | **[Default](Classes/structllarp_1_1config_1_1Default.md#function-default)**(T val) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| T | **[val](Classes/structllarp_1_1config_1_1Default.md#variable-val)**  |

## Detailed Description

```cpp
template <typename T >
struct llarp::config::Default;
```

Wrapper to specify a default value to an [OptionDefinition](Classes/structllarp_1_1OptionDefinition.md). 
## Public Functions Documentation

### function Default

```cpp
inline explicit constexpr Default(
    T val
)
```


## Public Attributes Documentation

### variable val

```cpp
T val;
```


-------------------------------

Updated on 2022-10-17 at 13:14:49 +0000